Bug 217354 - oocalc doens't consider a formula giving "" as blank
oocalc doens't consider a formula giving "" as blank
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-27 08:05 EST by Horst H. von Brand
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 03:49:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A spreadsheet showing the problem (6.16 KB, application/vnd.oasis.opendocument.spreadsheet)
2006-11-27 11:57 EST, Horst H. von Brand
no flags Details
New spreadsheet showing inconsistent behaviour (6.36 KB, application/vnd.oasis.opendocument.spreadsheet)
2006-11-27 15:21 EST, Horst H. von Brand
no flags Details

  None (edit)
Description Horst H. von Brand 2006-11-27 08:05:47 EST
Description of problem:
In the spreadsheet attached, the formula in B1 gives "", so the formula at C1
should be TRUE, but isn't.


Version-Release number of selected component (if applicable):
openoffice.org-calc-2.1.0-4.2

How reproducible:
Always


Steps to Reproduce:
1. Look at attached spreadsheet
2.
3.
  
Actual results:
FALSE in C1

Expected results:
TRUE in C1

Additional info:
I'm sure it worked as I think it should at least up to August or so (this is
what I use when computing final grades to handle cases of people who are missing
a grade and gave an alternative test or similar)
Comment 1 Caolan McNamara 2006-11-27 08:33:00 EST
missing attachment ?
Comment 2 Horst H. von Brand 2006-11-27 11:57:56 EST
Created attachment 142185 [details]
A spreadsheet showing the problem
Comment 3 Caolan McNamara 2006-11-27 12:57:24 EST
unfortunately

<from help>
ISBLANK: Returns TRUE if the reference to a cell is blank. This function is used
to determine if the content of a cell is empty. A cell with a formula inside is
not empty.
</from help>

And indeed I get "FALSE" like you do in devel, but also in FC-6 in 2.0.4 and
even also way back in FC-5 with 2.0.2 as well and in Excel. So this appears to
be the way it's supposed to be.
Comment 4 Horst H. von Brand 2006-11-27 15:20:12 EST
I don't understand what ISBLANK() is all about then... look at the new
spreadsheet attached, =if(isblank(<cell with formula evaluating to "">);"";<some
other junk>) behaves as if isblank() is true here (i.e., yields "")!
Comment 5 Horst H. von Brand 2006-11-27 15:21:29 EST
Created attachment 142222 [details]
New spreadsheet showing inconsistent behaviour
Comment 6 Caolan McNamara 2006-11-28 03:49:30 EST
your example is...

    A                        B              C       D
1       =IF(ISBLANK(A1);"";15)   =ISBLANK(B1)  =B1=""
2                          =A2         =B2=""  =B2=""

and results in...

    A   B       C       D
1           FALSE    TRUE
2       0   FALSE   FALSE

this is as expected, isblank is still FALSE for a cell that has any content in
it, including a formula, i.e. B1 isn't blank, though it's contents do evaluate
to an empty string as D1 shows.

There's nothing specific to fedora here, you might want to bring this up
upstream if you're unhappy with the behaviour.

Note You need to log in before you can comment on or make changes to this bug.